# parameter.hpp File Reference

`#include <saga/saga/packages/rpc/config.hpp>`
`#include <saga/saga/buffer.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::rpc
## Classes
class | saga::rpc::parameter
| The parameter class inherits the saga::buffer class. More...
## Enumerations
enum | saga::rpc::io_mode { saga::rpc::Unknown = -1, saga::rpc::In = 1, saga::rpc::Out = 2, saga::rpc::InOut = In | Out }
| The io mode enum specifies the modus of the rpc::parameter instances: In, Out and InOut. More...